﻿program ReadTest;

uses
  Classes, SysUtils;

type
  TStream = Classes.TFileStream;

procedure Log(const S : WideString);
begin
  WriteLn(S);
end;

function CheckRead(const FN : WideString) : TStream;
var
  temp      : array[0..15] of Byte;
begin
  try
    Result:=TStream.Create(UTF8Encode(FN),fmOpenRead or fmShareDenyNone);
  except
    Result:=nil;
  end;

  if Assigned(Result) then begin
    Log('Check Open Ok: '+FN);
    try
      if Result.Read(temp,Length(temp))=Length(temp) then begin
        Log('Cehck Read Ok: '+FN);
      end else begin
        Log('Check Read Fail: '+FN);
      end;
    except
      Log('Check Read Except: '+FN);
    end;
  end else begin
    Log('Check Open Fail: '+FN);
  end;
end;

var
  str1, str2, str3   : TStream;

begin
  //CheckRead('/Volumes/Users/Алексей/61518.jpg');
  str1:=CheckRead('/Volumes/Users/Алексей/Project1.mp4');
  str2:=CheckRead('/Volumes/Users/Алексей/Project1.mp4');
  //str3:=CheckRead('/Volumes/Users/Алексей/not-deinterlaced.mov');
  str3:=CheckRead('ReadTest.lps');

  Write('Press Return'); ReadLn;

  str1.Free; str2.Free; str3.Free;
end.

